#
# spec file for package python-pycoin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           pycoin
Version:        0.77
Release:        0%{?dist}
License:        MIT
Summary:        Utilities for Bitcoin and altcoin addresses and transaction manipulation
Url:            https://github.com/richardkiss/pycoin
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/b6/59/3438ecb8573429c65504133a8c5fd938c30a32e1693da96a3797419423d0/pycoin-%{version}.tar.gz
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Many of the names of data structures in bitcoin, like "script pubkey",
are derived from names that came from the original C++ source code (known
here as the “satoshi client”). Often times, it appears these names
were chosen out of expediency, and frequently they are overly generic
which makes it difficult to understand or remember what they are for.

With the benefit of time and a lack of legacy users, pycoin has had the
luxury to come up with alternative names for many of these structures
that more clearly suggest their actual use. We will use the pycoin names
for these structures in this documentation, but will also make mention
of the “official” names used by the satoshi client.

%package -n python2-%{name}
Summary:	Utilities for Bitcoin and altcoin addresses and transaction manipulation
Obsoletes:	python-%{name}
Provides:	python-%{name}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description -n python2-%{name}
Many of the names of data structures in bitcoin, like "script pubkey",
are derived from names that came from the original C++ source code (known
here as the “satoshi client”). Often times, it appears these names
were chosen out of expediency, and frequently they are overly generic
which makes it difficult to understand or remember what they are for.

With the benefit of time and a lack of legacy users, pycoin has had the
luxury to come up with alternative names for many of these structures
that more clearly suggest their actual use. We will use the pycoin names
for these structures in this documentation, but will also make mention
of the "official" names used by the satoshi client.

%prep
%setup -q -n pycoin-%{version}

%build
%py2_build

%install
%py_install

################################################################################################################
# Fix the Shebang problem for Python2 executables
################################################################################################################
for s in %{buildroot}%{_bindir}/*
do
	file $s | grep -q -i 'python script' && sed --in-place -e '1s=python[^2]*=python2=' -e 's/python22/python2/' $s
done

%files -n python2-%{name}
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/*

%changelog
